--- Portfile.27408	2010-11-21 17:02:34.000000000 -0600
+++ Portfile	2010-11-21 18:18:31.000000000 -0600
@@ -3,7 +3,7 @@
 PortSystem 1.0
 
 name			uni2ascii
-version			4.14
+version			4.15
 categories		textproc
 platforms		darwin
 maintainers		mww
@@ -19,14 +19,16 @@
 
 homepage		http://billposer.org/Software/uni2ascii.html
 master_sites	http://billposer.org/Software/Downloads/
-checksums           md5     b26f3ac559ccd69161b93c2f4fed5f14 \
-                    sha1    efe31a88499544f60a19994556e6bdea0e0f95be \
-                    rmd160  fdd9cdd79c05d82ddfece91c384852aea5f79f0b
+
+checksums		sha1    416121ad100f9b836bafa7c1e1c8629042705457 \
+			rmd160  00a6dfb405ea1478217a0451be6dd296cba466a3
+
 use_bzip2		yes
 
 depends_lib		port:gettext
 
-patchfiles		patch-configure.ac.diff
+patchfiles		patch-ascii2uni.c.diff \
+			patch-configure.ac.diff
 
 use_autoreconf	yes
 
--- files/patch-ascii2uni.c.diff	(revision 0)
+++ files/patch-ascii2uni.c.diff	(revision 0)
@@ -0,0 +1,173 @@
+--- ascii2uni.c.orig	2010-08-29 23:36:19.000000000 -0500
++++ ascii2uni.c	2009-08-04 22:08:52.000000000 -0500
+@@ -689,3 +689,170 @@
+    }
+    exit(SUCCESS);
+ }
++
++/* Include a copy of getline.c for portability to non-GNU environments */
++#ifndef _GNU_SOURCE
++/* getline.c -- Replacement for GNU C library function getline
++
++Copyright (C) 1993 Free Software Foundation, Inc.
++
++This program is free software; you can redistribute it and/or
++modify it under the terms of the GNU General Public License as
++published by the Free Software Foundation; either version 2 of the
++License, or (at your option) any later version.
++
++This program is distributed in the hope that it will be useful, but
++WITHOUT ANY WARRANTY; without even the implied warranty of
++MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
++General Public License for more details.  */
++
++/* Written by Jan Brittenson, bson@gnu.ai.mit.edu.  */
++
++#ifdef HAVE_CONFIG_H
++#include <config.h>
++#endif
++
++#include <sys/types.h>
++#include <stdio.h>
++#include <assert.h>
++#include <errno.h>
++
++#if STDC_HEADERS
++#include <stdlib.h>
++#else
++char *malloc (), *realloc ();
++#endif
++
++/* Always add at least this many bytes when extending the buffer.  */
++#define MIN_CHUNK 64
++
++/* Read up to (and including) a TERMINATOR from STREAM into *LINEPTR
++   + OFFSET (and null-terminate it).  If LIMIT is non-negative, then
++   read no more than LIMIT chars.
++
++   *LINEPTR is a pointer returned from malloc (or NULL), pointing to
++   *N characters of space.  It is realloc'd as necessary.  
++
++   Return the number of characters read (not including the null
++   terminator), or -1 on error or EOF.  On a -1 return, the caller
++   should check feof(), if not then errno has been set to indicate the
++   error.  */
++
++int
++getstr (lineptr, n, stream, terminator, offset, limit)
++     char **lineptr;
++     size_t *n;
++     FILE *stream;
++     int terminator;
++     int offset;
++     int limit;
++{
++  int nchars_avail;		/* Allocated but unused chars in *LINEPTR.  */
++  char *read_pos;		/* Where we're reading into *LINEPTR. */
++  int ret;
++
++  if (!lineptr || !n || !stream)
++    {
++      errno = EINVAL;
++      return -1;
++    }
++
++  if (!*lineptr)
++    {
++      *n = MIN_CHUNK;
++      *lineptr = malloc (*n);
++      if (!*lineptr)
++	{
++	  errno = ENOMEM;
++	  return -1;
++	}
++      *lineptr[0] = '\0';
++    }
++
++  nchars_avail = *n - offset;
++  read_pos = *lineptr + offset;
++
++  for (;;)
++    {
++      int save_errno;
++      register int c;
++
++      if (limit == 0)
++          break;
++      else
++      {
++          c = getc (stream);
++
++          /* If limit is negative, then we shouldn't pay attention to
++             it, so decrement only if positive. */
++          if (limit > 0)
++              limit--;
++      }
++
++      save_errno = errno;
++
++      /* We always want at least one char left in the buffer, since we
++	 always (unless we get an error while reading the first char)
++	 NUL-terminate the line buffer.  */
++
++      assert((*lineptr + *n) == (read_pos + nchars_avail));
++      if (nchars_avail < 2)
++	{
++	  if (*n > MIN_CHUNK)
++	    *n *= 2;
++	  else
++	    *n += MIN_CHUNK;
++
++	  nchars_avail = *n + *lineptr - read_pos;
++	  *lineptr = realloc (*lineptr, *n);
++	  if (!*lineptr)
++	    {
++	      errno = ENOMEM;
++	      return -1;
++	    }
++	  read_pos = *n - nchars_avail + *lineptr;
++	  assert((*lineptr + *n) == (read_pos + nchars_avail));
++	}
++
++      if (ferror (stream))
++	{
++	  /* Might like to return partial line, but there is no
++	     place for us to store errno.  And we don't want to just
++	     lose errno.  */
++	  errno = save_errno;
++	  return -1;
++	}
++
++      if (c == EOF)
++	{
++	  /* Return partial line, if any.  */
++	  if (read_pos == *lineptr)
++	    return -1;
++	  else
++	    break;
++	}
++
++      *read_pos++ = c;
++      nchars_avail--;
++
++      if (c == terminator)
++	/* Return the line.  */
++	break;
++    }
++
++  /* Done - NUL terminate and return the number of chars read.  */
++  *read_pos = '\0';
++
++  ret = read_pos - (*lineptr + offset);
++  return ret;
++}
++
++int
++getline (lineptr, n, stream)
++     char **lineptr;
++     size_t *n;
++     FILE *stream;
++{
++  return getstr (lineptr, n, stream, '\n', 0, (-1));
++}
++#endif