Index: dports/lang/python24/Portfile
===================================================================
--- dports/lang/python24/Portfile	(revision 75132)
+++ dports/lang/python24/Portfile	(working copy)
@@ -41,7 +41,8 @@
                         patch-configure-badcflags.diff \
                         patch-configure-arch_only.diff
 
-depends_lib             port:gettext port:openssl
+depends_lib             port:gettext port:openssl \
+                        port:python_select
 
 configure.args          --with-cxx=${configure.cxx} \
                         --enable-shared \
@@ -144,7 +145,6 @@
 }
 
     notes "To fully complete your installation and make python $branch the default, please run:
-\tsudo port install python_select
 \tsudo python_select $name"
 
 platform darwin {
Index: dports/lang/python25/Portfile
===================================================================
--- dports/lang/python25/Portfile	(revision 75132)
+++ dports/lang/python25/Portfile	(working copy)
@@ -38,7 +38,8 @@
 
 depends_lib             port:gettext port:zlib port:openssl port:tk \
                         port:sqlite3 port:db46 port:bzip2 \
-                        port:gdbm port:readline port:ncurses
+                        port:gdbm port:readline port:ncurses \
+                        port:python_select
 
 configure.args          --enable-shared \
                         --enable-framework=${frameworks_dir} \
@@ -134,7 +135,6 @@
 
 post-activate {
     ui_msg "\nTo fully complete your installation and make python $branch the default, please run
-\n\tsudo port install python_select \
 \n\tsudo python_select $name\n"
 }
 
Index: dports/lang/python26/Portfile
===================================================================
--- dports/lang/python26/Portfile	(revision 75132)
+++ dports/lang/python26/Portfile	(working copy)
@@ -19,7 +19,6 @@
 notes "\
    To fully complete your installation and make python ${branch} the default, \
    please run:\n \
-   \tsudo port install python_select\n \
    \tsudo python_select ${name}"
 
 homepage                http://www.python.org/
@@ -52,7 +51,8 @@
 
 depends_lib             port:gettext port:zlib port:openssl \
                         port:sqlite3 port:db46 port:ncurses port:gdbm \
-                        port:bzip2 port:readline
+                        port:bzip2 port:readline \
+                        port:python_select
 
 configure.args          --enable-framework=${frameworks_dir} \
                         --enable-ipv6
Index: dports/lang/python27/Portfile
===================================================================
--- dports/lang/python27/Portfile	(revision 75132)
+++ dports/lang/python27/Portfile	(working copy)
@@ -22,7 +22,6 @@
 notes "\
     To fully complete your installation and make python ${branch} the default, \
     please run:\n \
-    \tsudo port install python_select\n \
     \tsudo python_select ${name}"
 
 homepage            http://www.python.org/
@@ -63,7 +62,8 @@
                     port:ncurses \
                     port:gdbm \
                     port:bzip2 \
-                    port:readline
+                    port:readline \
+                    port:python_select
 
 configure.args      --enable-framework=${frameworks_dir} \
                     --enable-ipv6
Index: dports/lang/python31/Portfile
===================================================================
--- dports/lang/python31/Portfile	(revision 75132)
+++ dports/lang/python31/Portfile	(working copy)
@@ -40,7 +40,8 @@
 
 depends_lib             port:zlib port:openssl port:tk \
                         port:sqlite3 port:ncurses port:gdbm \
-                        port:bzip2 port:readline port:gettext
+                        port:bzip2 port:readline port:gettext \
+                        port:python_select
 
 configure.args          --enable-framework=${frameworks_dir} \
                         --enable-ipv6 \
@@ -119,7 +120,6 @@
 
 post-activate {
    ui_msg "\nTo fully complete your installation and make python $branch the default, please run
-\n\tsudo port install python_select \
 \n\tsudo python_select $name\n"
 }
 
Index: dports/lang/python32/Portfile
===================================================================
--- dports/lang/python32/Portfile	(revision 75132)
+++ dports/lang/python32/Portfile	(working copy)
@@ -42,7 +42,8 @@
 
 depends_lib             port:zlib port:openssl port:tk \
                         port:sqlite3 port:ncurses port:gdbm \
-                        port:bzip2 port:readline port:gettext
+                        port:bzip2 port:readline port:gettext \
+                        port:python_select
 
 configure.args          --enable-framework=${frameworks_dir} \
                         --enable-ipv6 \
@@ -121,7 +122,6 @@
 
 post-activate {
    ui_msg "\nTo fully complete your installation and make python $branch the default, please run
-\n\tsudo port install python_select \
 \n\tsudo python_select $name\n"
 }
 