diff -ru ../darktable-0.7.1-orig/configure ./configure
--- ../darktable-0.7.1-orig/configure	2010-12-08 01:18:53.000000000 +1300
+++ ./configure	2011-01-20 19:34:48.000000000 +1300
@@ -12038,7 +12038,7 @@
       ;;
 
     bsdi[45]*)
-      export_dynamic_flag_spec=-rdynamic
+      export_dynamic_flag_spec=
       ;;
 
     cygwin* | mingw* | pw32* | cegcc*)
diff -ru ../darktable-0.7.1-orig/src/Makefile.am ./src/Makefile.am
--- ../darktable-0.7.1-orig/src/Makefile.am	2010-12-08 00:49:56.000000000 +1300
+++ ./src/Makefile.am	2011-01-21 09:50:11.000000000 +1300
@@ -1,6 +1,6 @@
 SUBDIRS=LibRaw iop views libs imageio # gegl-operations
 include shared.am
-AM_CFLAGS+=-Werror -rdynamic -Wno-deprecated-declarations
+AM_CFLAGS+=-Werror -Wno-deprecated-declarations -Wno-error=unused-but-set-variable
 AM_CPPFLAGS=$(OPENEXR_CFLAGS)
 libdarktable_LTLIBRARIES=libdarktable.la
 libdarktabledir=$(libdir)/darktable
diff -ru ../darktable-0.7.1-orig/src/Makefile.in ./src/Makefile.in
--- ../darktable-0.7.1-orig/src/Makefile.in	2010-12-08 01:18:55.000000000 +1300
+++ ./src/Makefile.in	2011-01-21 09:50:17.000000000 +1300
@@ -404,7 +404,7 @@
 	$(SQLITE_CFLAGS) $(OPENMP_CFLAGS) $(GCONF_CFLAGS) \
 	-fno-strict-aliasing -Wall -std=c99 -I$(srcdir)/LibRaw -fPIC \
 	-DDATADIR=\"$(datadir)/darktable\" -DLIBDIR=\""$(libdir)"\" \
-	-Werror -rdynamic -Wno-deprecated-declarations
+	-Werror -Wno-deprecated-declarations  -Wno-error=unused-but-set-variable
 AM_CXXFLAGS = $(GNOME_KEYRING_CFLAGS) $(GPHOTO2_CFLAGS) $(GEGL_CFLAGS) $(DBUSGLIB_CFLAGS) $(EXIV2_CFLAGS) $(CAIRO_CFLAGS) $(GLADE_CFLAGS) $(GTK_CFLAGS) $(GTHREAD_CFLAGS) $(SQLITE_CFLAGS) $(OPENMP_CFLAGS) $(GCONF_CFLAGS) -fno-strict-aliasing -Wall -I$(srcdir)/LibRaw -fPIC -DDATADIR=\"$(datadir)/darktable\" -DLIBDIR=\""$(libdir)"\"
 AM_CPPFLAGS = $(OPENEXR_CFLAGS)
 libdarktable_LTLIBRARIES = libdarktable.la
diff -ru ../darktable-0.7.1-orig/src/imageio/format/Makefile.am ./src/imageio/format/Makefile.am
--- ../darktable-0.7.1-orig/src/imageio/format/Makefile.am	2010-12-08 00:49:56.000000000 +1300
+++ ./src/imageio/format/Makefile.am	2011-01-21 09:49:29.000000000 +1300
@@ -1,7 +1,7 @@
 include $(srcdir)/../../shared.am
 LDFLAGS= -module -avoid-version
-CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/../.. -Werror -g -rdynamic
-CXXFLAGS+=$(AM_CXXFLAGS) $(OPENEXR_CFLAGS) -I$(srcdir) -I$(srcdir)/../.. -Werror -g -rdynamic
+CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/../.. -Werror -Wno-error=unused-but-set-variable -g
+CXXFLAGS+=$(AM_CXXFLAGS) $(OPENEXR_CFLAGS) -I$(srcdir) -I$(srcdir)/../.. -Werror -Wno-error=unused-but-set-variable -g
 LTADD=$(OPENMP_CFLAGS) $(GEGL_LIBS) $(JPEG_LIBS) $(PNG_LIBS) $(LCMS_LIBS) $(EXIV2_LIBS) $(CAIRO_LIBS) $(GLADE_LIBS) $(GTK_LIBS) $(GTHREAD_LIBS) $(SQLITE_LIBS) -fPIC
 libjpeg_la_SOURCES=jpeg.c
 libpng_la_SOURCES=png.c
diff -ru ../darktable-0.7.1-orig/src/imageio/format/Makefile.in ./src/imageio/format/Makefile.in
--- ../darktable-0.7.1-orig/src/imageio/format/Makefile.in	2010-12-08 01:18:55.000000000 +1300
+++ ./src/imageio/format/Makefile.in	2011-01-21 09:49:22.000000000 +1300
@@ -162,7 +162,7 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@ $(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/../.. -Werror \
-	-g -rdynamic
+	-Wno-error=unused-but-set-variable -g
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CURL_CFLAGS = @CURL_CFLAGS@
@@ -171,7 +171,7 @@
 CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@ $(AM_CXXFLAGS) $(OPENEXR_CFLAGS) -I$(srcdir) \
-	-I$(srcdir)/../.. -Werror -g -rdynamic
+	-I$(srcdir)/../.. -Werror -Wno-error=unused-but-set-variable -g
 CYGPATH_W = @CYGPATH_W@
 DATADIRNAME = @DATADIRNAME@
 DBUSGLIB_CFLAGS = @DBUSGLIB_CFLAGS@
diff -ru ../darktable-0.7.1-orig/src/imageio/storage/Makefile.am ./src/imageio/storage/Makefile.am
--- ../darktable-0.7.1-orig/src/imageio/storage/Makefile.am	2010-12-08 00:49:56.000000000 +1300
+++ ./src/imageio/storage/Makefile.am	2011-01-21 09:49:12.000000000 +1300
@@ -1,6 +1,6 @@
 include $(srcdir)/../../shared.am
 LDFLAGS= -module -avoid-version
-CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/../.. -Werror -g -rdynamic
+CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/../.. -Werror -Wno-error=unused-but-set-variable -g
 LDADD=$(OPENMP_CFLAGS) $(GEGL_LIBS) $(CURL_LIBS) $(JPEG_LIBS) $(PNG_LIBS) $(LCMS_LIBS) $(EXIV2_LIBS) $(CAIRO_LIBS) $(GLADE_LIBS) $(GTK_LIBS) $(GTHREAD_LIBS) $(SQLITE_LIBS) -fPIC
 libdisk_la_SOURCES=disk.c
 libpicasa_la_SOURCES=picasa.c
diff -ru ../darktable-0.7.1-orig/src/imageio/storage/Makefile.in ./src/imageio/storage/Makefile.in
--- ../darktable-0.7.1-orig/src/imageio/storage/Makefile.in	2010-12-08 01:18:55.000000000 +1300
+++ ./src/imageio/storage/Makefile.in	2011-01-21 09:49:06.000000000 +1300
@@ -134,7 +134,7 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@ $(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/../.. -Werror \
-	-g -rdynamic
+	-Wno-error=unused-but-set-variable -g
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CURL_CFLAGS = @CURL_CFLAGS@
diff -ru ../darktable-0.7.1-orig/src/iop/Makefile.am ./src/iop/Makefile.am
--- ../darktable-0.7.1-orig/src/iop/Makefile.am	2010-12-08 00:49:56.000000000 +1300
+++ ./src/iop/Makefile.am	2011-01-21 09:49:49.000000000 +1300
@@ -1,7 +1,7 @@
 include $(srcdir)/../shared.am
 LDFLAGS= -module -avoid-version
-CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/..  -I$(srcdir)/dtgtk -Werror -g $(RSVG_CFLAGS)
-CXXFLAGS+=$(AM_CPPFLAGS) -I$(srcdir) -I$(srcdir)/..  -I$(srcdir)/dtgtk -Werror -g
+CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/..  -I$(srcdir)/dtgtk -Werror -g -Wno-error=unused-but-set-variable $(RSVG_CFLAGS)
+CXXFLAGS+=$(AM_CPPFLAGS) -I$(srcdir) -I$(srcdir)/..  -I$(srcdir)/dtgtk -Werror -g -Wno-error=unused-but-set-variable
 LTADD=$(GEGL_LIBS) $(CAIRO_LIBS) $(GLADE_LIBS) $(GTK_LIBS) $(GTHREAD_LIBS) $(SQLITE_LIBS) -fPIC
 libtonecurve_la_SOURCES=tonecurve.c
 libgamma_la_SOURCES=gamma.c
diff -ru ../darktable-0.7.1-orig/src/iop/Makefile.in ./src/iop/Makefile.in
--- ../darktable-0.7.1-orig/src/iop/Makefile.in	2010-12-08 01:18:55.000000000 +1300
+++ ./src/iop/Makefile.in	2011-01-21 09:49:43.000000000 +1300
@@ -286,7 +286,7 @@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@ $(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/.. \
-	-I$(srcdir)/dtgtk -Werror -g $(RSVG_CFLAGS)
+	-I$(srcdir)/dtgtk -Werror -g -Wno-error=unused-but-set-variable $(RSVG_CFLAGS)
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CURL_CFLAGS = @CURL_CFLAGS@
@@ -295,7 +295,7 @@
 CXXCPP = @CXXCPP@
 CXXDEPMODE = @CXXDEPMODE@
 CXXFLAGS = @CXXFLAGS@ $(AM_CPPFLAGS) -I$(srcdir) -I$(srcdir)/.. \
-	-I$(srcdir)/dtgtk -Werror -g
+	-I$(srcdir)/dtgtk -Werror -Wno-error=unused-but-set-variable -g
 CYGPATH_W = @CYGPATH_W@
 DATADIRNAME = @DATADIRNAME@
 DBUSGLIB_CFLAGS = @DBUSGLIB_CFLAGS@
diff -ru ../darktable-0.7.1-orig/src/libs/Makefile.am ./src/libs/Makefile.am
--- ../darktable-0.7.1-orig/src/libs/Makefile.am	2010-12-08 00:49:56.000000000 +1300
+++ ./src/libs/Makefile.am	2011-01-21 09:50:05.000000000 +1300
@@ -1,6 +1,6 @@
 include $(srcdir)/../shared.am
 LDFLAGS= -module -avoid-version
-CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/.. -Werror -g -rdynamic
+CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/.. -Werror -g -Wno-error=unused-but-set-variable
 LTADD=$(OPENMP_CFLAGS) $(GEGL_LIBS) $(JPEG_LIBS) $(PNG_LIBS) $(LCMS_LIBS) $(EXIV2_LIBS) $(CAIRO_LIBS) $(GLADE_LIBS) $(GTK_LIBS) $(GTHREAD_LIBS) $(SQLITE_LIBS) -fPIC
 libexport_la_SOURCES=export.c
 libcopy_history_la_SOURCES=copy_history.c
diff -ru ../darktable-0.7.1-orig/src/libs/Makefile.in ./src/libs/Makefile.in
--- ../darktable-0.7.1-orig/src/libs/Makefile.in	2010-12-08 01:18:55.000000000 +1300
+++ ./src/libs/Makefile.in	2011-01-21 09:49:58.000000000 +1300
@@ -159,8 +159,7 @@
 CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@ $(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/.. -Werror -g \
-	-rdynamic
+CFLAGS = @CFLAGS@ $(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/.. -Werror -g -Wno-error=unused-but-set-variable
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CURL_CFLAGS = @CURL_CFLAGS@
diff -ru ../darktable-0.7.1-orig/src/views/Makefile.am ./src/views/Makefile.am
--- ../darktable-0.7.1-orig/src/views/Makefile.am	2010-12-08 00:49:56.000000000 +1300
+++ ./src/views/Makefile.am	2011-01-21 09:49:00.000000000 +1300
@@ -1,6 +1,6 @@
 include $(srcdir)/../shared.am
 LDFLAGS= -module -avoid-version
-CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/.. -Werror -g -rdynamic
+CFLAGS+=$(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/.. -Werror -g -Wno-error=unused-but-set-variable
 LTADD=$(OPENMP_CFLAGS) $(GEGL_LIBS) $(JPEG_LIBS) $(PNG_LIBS) $(LCMS_LIBS) $(EXIV2_LIBS) $(CAIRO_LIBS) $(GLADE_LIBS) $(GTK_LIBS) $(GTHREAD_LIBS) $(SQLITE_LIBS) -fPIC
 libdarkroom_la_SOURCES=darkroom.c
 liblighttable_la_SOURCES=lighttable.c
diff -ru ../darktable-0.7.1-orig/src/views/Makefile.in ./src/views/Makefile.in
--- ../darktable-0.7.1-orig/src/views/Makefile.in	2010-12-08 01:18:55.000000000 +1300
+++ ./src/views/Makefile.in	2011-01-21 09:48:45.000000000 +1300
@@ -138,8 +138,7 @@
 CATOBJEXT = @CATOBJEXT@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
-CFLAGS = @CFLAGS@ $(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/.. -Werror -g \
-	-rdynamic
+CFLAGS = @CFLAGS@ $(AM_CFLAGS) -I$(srcdir) -I$(srcdir)/.. -Werror -g -Wno-error=unused-but-set-variable
 CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CURL_CFLAGS = @CURL_CFLAGS@