Index: files/patch-ARB-makefile.diff
===================================================================
--- files/patch-ARB-makefile.diff	(revision 75676)
+++ files/patch-ARB-makefile.diff	(working copy)
@@ -1,6 +1,29 @@
---- Makefile	(revision 6192)
-+++ Makefile	(working copy)
-@@ -202,11 +202,11 @@
+--- Makefile.orig	2011-02-03 12:37:28.000000000 -0300
++++ Makefile	2011-02-04 17:05:56.000000000 -0300
+@@ -31,11 +31,12 @@
+ #                       configurable in config.makefile
+ #
+ # -----------------------------------------------------
++
+ # Read configuration 
+ include config.makefile
+ 
+ ifeq ($(LD_LIBRARY_PATH),'')
+-LD_LIBRARY_PATH:=${ARBHOME}/lib
++	LD_LIBRARY_PATH:=${ARBHOME}/lib
+ endif
+ 
+ FORCEMASK = umask 002
+@@ -46,8 +47,6 @@
+ GPP:=g++ 
+ CPPreal:=cpp
+ 
+-
+-
+ # ---------------------- compiler version detection
+ 
+ # supported compiler versions:
+@@ -203,11 +202,12 @@
  XINCLUDES:=-I$(XHOME)/include
  
  ifdef DARWIN
@@ -10,11 +33,12 @@
  
  ifdef DARWIN
 -	XLIBS := -L/usr/OpenMotif/lib -lXm -L$(XHOME)/lib -lpng -lXt -lX11 -lXext -lXp -lc -lXmu -lXi
-+	XLIBS := -L$(PREFIX)/lib -lXm -L$(XHOME)/lib -lpng -lXt -lX11 -lXext -lXp -lc -lXmu -lXi
++    #Explicit use of png12 because ARB breaks with png14 (http://www.libpng.org/pub/png/src/libpng-1.2.x-to-1.4.x-summary.txt)
++	XLIBS := -L$(PREFIX)/lib -lXm -lpng12 -lz -L$(XHOME)/lib -lXt -lX11 -lXext -lXp -lc -lXmu -lXi
  	XLIBS += -lGLU -lGL -Wl,-dylib_file,$(OSX_FW_OPENGL)/libGL.dylib:$(OSX_FW_OPENGL)/libGL.dylib
  else
  	XLIBS:=-L$(XHOME)/$(CROSS_LIB) -lXm -lXpm -lXp -lXt -lXext -lX11
-@@ -225,14 +225,9 @@
+@@ -226,14 +226,9 @@
  
  GL_PNGLIBS := -L$(ARBHOME)/GL/glpng -lglpng_arb -lpng
  
@@ -32,7 +56,7 @@
  GL_LIBS := $(GL_LIB) $(GLEWLIB) $(GLUTLIB) $(GL_PNGLIBS)
  
  #XLIBS += $(GL_LIB)
-@@ -247,11 +242,7 @@
+@@ -248,11 +243,7 @@
  
  #---------------------- tiff lib:
  
@@ -45,7 +69,7 @@
  
  #---------------------- basic libs:
  
-@@ -318,7 +309,7 @@
+@@ -319,7 +310,7 @@
  
  CTAGS := etags
  ifdef DARWIN
@@ -53,4 +77,4 @@
 +	XMKMF := $(PREFIX)/bin/xmkmf
  else
  	XMKMF := /usr/bin/X11/xmkmf
- endif
\ No newline at end of file
+ endif
Index: files/arb_macsetup
===================================================================
--- files/arb_macsetup	(revision 75676)
+++ files/arb_macsetup	(working copy)
@@ -29,20 +29,20 @@
 #
 
 # This is the arb_macsetup script
-# Use it to set the ARBHOME and PATH variables after installing ARB using MacPorts.
+# Use it to set the ARBHOME and PATH variables and to install a .xmodmap file after installing ARB using MacPorts.
 
 # Derived from the MacPorts postflight script
 # Provided by: Matthew Cottrell
-# October 1, 2009
+# January 31, 2011
 
 # Abstraction variables:
-# The MacPorts PREFIX is typicaly /opt/local
-PREFIX=/opt/local
+PREFIX=@@PREFIX@@
 BINPATH=${PREFIX}/bin
 SBINPATH=${PREFIX}/sbin
 MANPAGES=${PREFIX}/share/man
 TIMESTAMP=$(date +"%Y-%m-%d_at_%H:%M:%S")
 BACKUP_SUFFIX=macports-saved_${TIMESTAMP}
+XMODMAP_FILE=xmodmap
 OUR_STRING="ARB Installer addition on ${TIMESTAMP}"
 
 # Determine the user's shell, in order to choose an appropriate configuration file we'll be tweaking.
@@ -105,6 +105,23 @@
     echo "An appropriate ${1} variable has been added to your shell environment by the ${3} installer."
 }
 
+function write_xmodmap_setting () {
+    if [ -f ${HOME}/.${XMODMAP_FILE} ] && ! grep "${OUR_STRING}" ${HOME}/.${XMODMAP_FILE} > /dev/null; then
+        echo "Backing up your ${HOME}/.${XMODMAP_FILE} keyboard confguration file as ${HOME}/.${XMODMAP_FILE}.${BACKUP_SUFFIX} before adapting it for ARB."
+        /bin/cp -fp ${HOME}/.${XMODMAP_FILE} "${HOME}/.${XMODMAP_FILE}.${BACKUP_SUFFIX}" || {
+            echo "An attempt to backup your original configuration file failed! Please set your ARB compatible environment manually."
+            
+            exit 1
+        }
+        echo -e "\n##\n# Your previous ${HOME}/.${XMODMAP_FILE} file was backed up as ${HOME}/.${XMODMAP_FILE}.${BACKUP_SUFFIX}\n##" >> ${HOME}/.${XMODMAP_FILE}
+    fi
+    echo -e "\n# ${OUR_STRING}: adding an appropriate ${1} variable for use with ${3}." >> ${HOME}/.${XMODMAP_FILE}
+    echo "${1}\n ${2}\n ${3}\n ${4}\n ${5}\n ${6}\n ${7}\n" >> ${HOME}/.${XMODMAP_FILE}
+    echo -e "# Finished adapting your xmodmap file for use with ARB.\n" >> ${HOME}/.${XMODMAP_FILE}
+    chown ${USER} ${HOME}/.${XMODMAP_FILE} || echo "Warning: unable to adapt permissions on your ${HOME}/.${XMODMAP_FILE} shell configuration file!"
+    echo "An appropriate xmodmap file has been added to your home folder by the ${8} installer."
+}
+
 # Confirm that MacPorts has been configured for this user:
 if ${SHELL} ${LOGIN_FLAG} -c "/usr/bin/printenv PATH" | grep ${PREFIX} > /dev/null; then
     echo "Your shell already has the right PATH environment variable for use with MacPorts!"
@@ -149,6 +166,9 @@
 	write_setting ARBHOME "${PREFIX}/share/arb" ARB
 fi
 
+#write the .xmodmap file for easy keyboard shortcutsin the ARB sequence editor
+write_xmodmap_setting "clear Mod1" "clear Mod2" "keycode 63 = Mode_switch" "keycode 66 = Meta_L" "keycode 69 = Meta_R" "add Mod1 = Meta_L Meta_R" "add Mod2 = Mode_switch" ARB
+
 # arb_setenv script is done with its job - exit gracefully!
 echo ""
 echo "You have succesfully installed ARB"
Index: files/patch-ARB-config.makefile.diff
===================================================================
--- files/patch-ARB-config.makefile.diff	(revision 75676)
+++ files/patch-ARB-config.makefile.diff	(working copy)
@@ -5,7 +5,7 @@
  PTPAN := 0
  
 -ARB_64 := 0# compile 64bit ARB version
-+ARB_64 := 1# compile 64bit ARB version
++ARB_64 := @@64BIT@@# compile 64bit ARB version
  #BUILDHOST_64 := 1# whether build host is 64bit (value defaults to ARB_64). Needed for cross-compile
  
  # --------------------------------------------------------------------------------
Index: files/arb_intro.fig.diff
===================================================================
--- files/arb_intro.fig.diff	(revision 0)
+++ files/arb_intro.fig.diff	(revision 0)
@@ -0,0 +1,88 @@
+--- arb_intro.fig.orig	2011-02-04 01:01:34.000000000 -0300
++++ lib/pictures/arb_intro.fig	2010-10-24 18:34:25.000000000 -0300
+@@ -1,4 +1,4 @@
+-#FIG 3.2
++#FIG 3.2  Produced by xfig version 3.2.5
+ Landscape
+ Center
+ Metric
+@@ -8,18 +8,18 @@
+ -2
+ 1200 2
+ 6 8010 5175 9315 5445
+-4 0 -1 0 0 18 12 0.0000 4 135 495 8025 5340 Suffix\001
+-4 0 -1 0 0 18 12 0.0000 4 180 495 8550 5415 $filter\001
+-4 2 -1 0 0 18 12 0.0000 4 180 720 9300 5415 $to:filter\001
++4 0 -1 0 0 18 12 0.0000 4 165 570 8025 5340 Suffix\001
++4 0 -1 0 0 18 12 0.0000 4 210 585 8550 5415 $filter\001
++4 2 -1 0 0 18 12 0.0000 4 210 870 9300 5415 $to:filter\001
+ -6
+ 6 2655 2025 8235 2295
+ 2 1 0 2 -1 -1 0 0 -1 0.000 0 0 -1 0 0 2
+ 	 2700 2250 8190 2250
+-4 1 -1 0 0 18 14 0.0000 4 210 5070 5400 2175 ARB - A Software Environment for Sequence Data\001
++4 1 -1 0 0 18 14 0.0000 4 240 5925 5400 2175 ARB - A Software Environment for Sequence Data\001
+ -6
+ 6 1800 10890 9090 11250
+-4 0 -1 0 0 18 10 0.0000 4 135 7095 1800 11025 Y:Wolfgang Ludwig, Oliver Strunk, Ralf Westram, Lothar Richter, Harald Meier, Yadhukumar et al.\001
+-4 0 -1 0 0 18 10 0.0000 4 135 7260 1800 11205 Y:ARB: a software environment for sequence data. Nucleic Acids Research. 2004. 32(4):1363-1371.\001
++4 0 -1 0 0 18 10 0.0000 4 150 7335 1800 11025 Y:Wolfgang Ludwig, Oliver Strunk, Ralf Westram, Lothar Richter, Harald Meier, Yadhukumar et al.\001
++4 0 -1 0 0 18 10 0.0000 4 150 7395 1800 11205 Y:ARB: a software environment for sequence data. Nucleic Acids Research. 2004. 32(4):1363-1371.\001
+ -6
+ 2 1 0 1 0 7 100 0 -1 0.000 0 0 -1 0 0 1
+ 	 1170 540
+@@ -29,28 +29,29 @@
+ 	 1350 4950 1350 4230 9090 4230
+ 2 1 0 1 0 7 100 0 -1 0.000 0 0 -1 0 0 1
+ 	 9630 11340
+-4 0 -1 0 0 18 12 0.0000 4 180 570 1425 1050 $close\001
+-4 2 -1 0 0 18 12 0.0000 4 195 465 9450 1050 $help\001
+-4 2 -1 0 0 18 12 0.0000 4 180 945 9375 9990 $to:XY:box\001
+-4 0 -1 0 0 18 12 0.0000 4 195 840 9150 10440 $Y:expert\001
+-4 0 -1 0 0 18 12 0.0000 4 180 420 1500 5865 $box\001
+-4 0 -1 0 0 18 12 0.0000 4 195 2970 1500 5340 Existing Files (f) and Directories (D)\001
+-4 0 -1 0 0 18 12 0.0000 4 180 540 1620 10395 $Y:old\001
+-4 0 -1 0 0 18 12 0.0000 4 180 540 4725 10388 $Y:del\001
+-4 0 -1 0 0 18 12 0.0000 4 195 1290 1620 4725 $new_complex\001
+-4 0 -1 0 0 18 12 0.0000 4 195 660 4455 4725 $merge\001
+-4 1 -1 0 0 18 12 0.0000 4 150 750 7140 2865 Authors:\001
+-4 1 -1 0 0 18 12 0.0000 4 195 465 5265 945 $logo\001
+-4 1 -1 0 0 18 12 0.0000 4 195 2055 2745 3870 http://www.arb-home.de/\001
+-4 1 -1 0 0 18 12 0.0000 4 195 915 2745 2970 $copyright\001
+-4 1 -1 0 0 18 12 0.0000 4 195 2370 2745 3150 Department of Microbiology\001
+-4 1 -1 0 0 18 10 0.0000 4 135 2265 2745 3375 Technical University of Munich\001
+-4 1 -1 0 0 18 10 0.0000 4 135 675 2745 3555 Germany\001
+-4 1 -1 0 0 18 11 0.0000 4 150 2070 7140 3345 Harald Meier, Yadhukumar\001
+-4 1 -1 0 0 18 12 0.0000 4 195 3915 7140 3135 Ralf Westram, Oliver Strunk, Wolfgang Ludwig\001
+-4 1 -1 0 0 18 10 0.0000 4 105 2070 7140 3960 Lead tester: F. O. Gloeckner\001
+-4 1 -1 0 0 18 10 0.0000 4 135 3615 7140 3780 L. Richter, T.Ginhart, S.Gerbers, J. Huber, R.Jost,\001
+-4 1 -1 0 0 18 10 0.0000 4 135 3285 7140 3555 K. Bader, E. Pruesse, C. Hodges, J. Boehnel,\001
+-4 1 -1 0 0 18 12 0.0000 4 180 750 5265 2610 $version\001
+-4 0 -1 0 0 18 12 0.0000 4 195 1890 7350 10365 Y:Enable Expert Mode\001
+-4 0 -1 0 0 18 10 0.0000 4 135 2130 1440 10800 Y:If you use ARB, please cite\001
++4 0 -1 0 0 18 12 0.0000 4 210 675 1425 1050 $close\001
++4 2 -1 0 0 18 12 0.0000 4 225 570 9450 1050 $help\001
++4 2 -1 0 0 18 12 0.0000 4 210 1140 9375 9990 $to:XY:box\001
++4 0 -1 0 0 18 12 0.0000 4 225 990 9150 10440 $Y:expert\001
++4 0 -1 0 0 18 12 0.0000 4 210 495 1500 5865 $box\001
++4 0 -1 0 0 18 12 0.0000 4 210 3690 1500 5340 Existing Files (f) and Directories (D)\001
++4 0 -1 0 0 18 12 0.0000 4 210 675 1620 10395 $Y:old\001
++4 0 -1 0 0 18 12 0.0000 4 210 660 4725 10388 $Y:del\001
++4 0 -1 0 0 18 12 0.0000 4 225 1500 1620 4725 $new_complex\001
++4 0 -1 0 0 18 12 0.0000 4 225 765 4455 4725 $merge\001
++4 1 -1 0 0 18 12 0.0000 4 165 915 7140 2865 Authors:\001
++4 1 -1 0 0 18 12 0.0000 4 225 585 5265 945 $logo\001
++4 1 -1 0 0 18 12 0.0000 4 210 2475 2745 3870 http://www.arb-home.de/\001
++4 1 -1 0 0 18 12 0.0000 4 210 2910 2745 3150 Department of Microbiology\001
++4 1 -1 0 0 18 10 0.0000 4 150 2295 2745 3375 Technical University of Munich\001
++4 1 -1 0 0 18 10 0.0000 4 150 675 2745 3555 Germany\001
++4 1 -1 0 0 18 11 0.0000 4 165 2340 7140 3345 Harald Meier, Yadhukumar\001
++4 1 -1 0 0 18 12 0.0000 4 210 4800 7140 3135 Ralf Westram, Oliver Strunk, Wolfgang Ludwig\001
++4 1 -1 0 0 18 10 0.0000 4 150 3660 7140 3780 L. Richter, T.Ginhart, S.Gerbers, J. Huber, R.Jost,\001
++4 1 -1 0 0 18 10 0.0000 4 150 3285 7140 3555 K. Bader, E. Pruesse, C. Hodges, J. Boehnel,\001
++4 1 -1 0 0 18 12 0.0000 4 210 900 5265 2610 $version\001
++4 0 -1 0 0 18 12 0.0000 4 210 2295 7350 10365 Y:Enable Expert Mode\001
++4 0 -1 0 0 18 10 0.0000 4 150 2190 1440 10800 Y:If you use ARB, please cite\001
++4 1 -1 0 0 18 10 0.0000 4 120 2085 7110 3960 Lead tester: F. O. Gloeckner\001
++4 1 -1 0 0 18 12 0.0000 4 225 1125 2745 2970 $copyright\001
++4 1 -1 0 0 18 12 0.0000 4 210 3600 7155 4185 Mac OS X port: Matthew T. Cottrell\001
Index: Portfile
===================================================================
--- Portfile	(revision 75676)
+++ Portfile	(working copy)
@@ -4,8 +4,8 @@
 PortSystem              1.0
 
 name                    arb
-version                 5.1
 epoch                   1
+version                 5.2
 categories              science
 maintainers             me.com:matt.cottrell 
 platforms               darwin
@@ -18,77 +18,83 @@
                         nucleotide and amino acid sequences.  Features include routines for designing fluorescence in situ \
                         hybridization (FISH) probes and PCR and sequencing primers.  Phylogenetic trees can be generated and \
                         sequences can be added to existing trees.  ARB maintains links between the phylogenetic trees and sequences \
-                        for data base search and query.  The Silva Comprehensive Ribosomal RNA Database (http://www.arb-silva.de/) \
-                        maintaines up-to-date databases.  64-bit ARB is built on 10.6 in order to work with the largest data bases. \
-                        32-bit ARB is built on 10.5.  An active community of scientists exchange tips on the ARB Yahoo! discussion group \
+                        for database search and query.  The Silva Comprehensive Ribosomal RNA Database (http://www.arb-silva.de/) \
+                        maintains up-to-date databases.  An active community of scientists exchanges tips on the ARB Yahoo! discussion group \
                         (http://tech.groups.yahoo.com/group/arb_users/). Citation: Wolfgang Ludwig, et al. (2004) ARB: a software environment \
                         for sequence data. Nucleic Acids Research. 32:1363-1371.
 
-fetch.type              svn
-svn.url                 http://svn.mikro.biologie.tu-muenchen.de/svn/branches/stable_5.0
-svn.revision            6215
-svn.method              checkout
-#fetch.user             coder              
-#fetch.password         gimmeARBsource
-#work around until ticket #21232 is resolved
-svn.args                --username coder --password gimmeARBsource 
+master_sites            http://download.arb-home.de/release/arb_${version}/
+distname                arbsrc
+extract.suffix          .tgz
+dist_subdir             ${name}/${version}
+worksrcdir              arbsrc_6779
 
+checksums               sha1    4ee493a16ece5231d46ed1071407c06e733d67c8 \
+                        rmd160  d9d99d0ebadaa293091ff93f6ca588b2321bd8b0
+
+depends_build           port:gsed \
+                        port:imake \
+                        port:makedepend
+
 depends_lib             port:openmotif \
                         port:lynx \
-                        port:gsed \
-                        port:imake \
                         port:sablotron \
                         port:mesa \
                         port:glw \
                         port:glew \
-                        port:tiff 
+                        port:tiff \
+                        port:xfig \
+                        port:gv
 
 patchfiles              patch-ARB-config.makefile.diff \
                         patch-ARB-makefile.diff \
                         patch-ARB-RNA3D_GlobalHeader.hxx.diff \
-                        patch-ARB-DARWIN.pl.diff
+                        patch-ARB-DARWIN.pl.diff \
+                        arb_intro.fig.diff
                        
-worksrcdir              stable_5.0
-
-use_configure           no
 configure.env           ARBHOME=${worksrcpath}  
 configure.env-append    PATH=${worksrcpath}/bin:$env(PATH)
 
 configure               {
-                        reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/PERL2ARB/DARWIN.PL
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/GDEHELP/MENUS/align.menu
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/util/arb_check_build_env.pl
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/arb_install.sh
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/WINDOW/AW_status.cxx
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/SH/example_batch_probe_match.sh
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/GDEHELP/GDEmenus
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/GDEHELP/genhelp.sh
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/GDEHELP/genhelptree.sh
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/SOURCE_TOOLS/make_java_dependencies.sh
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/HELP_SOURCE/Makefile
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/AISC_COM/AISC/Makefile
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/GDEHELP/Makefile
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/HELP_SOURCE/genhelp/Makefile
-                        reinplace "s| sed | gsed |g" ${worksrcpath}/GDEHELP/Makefile.helpfiles
+                        reinplace "s| sed | gsed |g" ${worksrcpath}/GDEHELP/MENUS/align.menu \
+                                                     ${worksrcpath}/util/arb_check_build_env.pl \
+                                                     ${worksrcpath}/arb_install.sh \
+                                                     ${worksrcpath}/WINDOW/AW_status.cxx \
+                                                     ${worksrcpath}/SH/example_batch_probe_match.sh \
+                                                     ${worksrcpath}/GDEHELP/GDEmenus \
+                                                     ${worksrcpath}/GDEHELP/genhelp.sh \
+                                                     ${worksrcpath}/GDEHELP/genhelptree.sh \
+                                                     ${worksrcpath}/SOURCE_TOOLS/make_java_dependencies.sh \
+                                                     ${worksrcpath}/HELP_SOURCE/Makefile \
+                                                     ${worksrcpath}/AISC_COM/AISC/Makefile \
+                                                     ${worksrcpath}/GDEHELP/Makefile \
+                                                     ${worksrcpath}/HELP_SOURCE/genhelp/Makefile \
+                                                     ${worksrcpath}/GDEHELP/Makefile.helpfiles
                         file copy ${worksrcpath}/config.makefile.template ${worksrcpath}/config.makefile
-                        reinplace "s|@@PREFIX@@|${prefix}|g" ${filespath}/arb_macsetup
                         file copy ${filespath}/arb_macsetup ${worksrcpath}/bin
-}
+                        reinplace "s|@@PREFIX@@|${prefix}|g" ${worksrcpath}/PERL2ARB/DARWIN.PL \
+                                                             ${worksrcpath}/bin/arb_macsetup
 
-platform darwin 9      {
-post-configure         {
-                       reinplace "s|ARB_64 := 1# compile 64bit ARB version|ARB_64 := 0# compile 64bit ARB version|g" ${worksrcpath}/config.makefile
+                        reinplace "s|OSX_SDK:=/Developer/SDKs/MacOSX10.5.sdk|OSX_SDK:=${configure.sdkroot}|g" ${worksrcpath}/Makefile
+
+                        if {${build_arch} == "ppc" || ${build_arch} == "i386"} {
+                            set is64bit 0
+                        } else {
+                            set is64bit 1
+                        }
+                        reinplace "s|@@64BIT@@|${is64bit}|g" ${worksrcpath}/config.makefile
 }
-}
 
-build.env-append        ${configure.env}
-build.env-append        PREFIX=${prefix}
+build.env-append        ${configure.env} \
+                        PREFIX=${prefix}
+build.args              GCC=${configure.cc} \
+                        GPP=${configure.cxx} \
+                        CPPreal=${configure.cpp}
 
 destroot.keepdirs       ${destroot}${prefix}/share/arb/lib/pts
 
 destroot                {
                         eval xinstall -m 0755 [glob ${worksrcpath}/bin/*] ${destroot}${prefix}/bin
-                        file mkdir ${destroot}${prefix}/share/arb
                         file mkdir ${destroot}${prefix}/share/arb/bin
                         file copy ${worksrcpath}/lib ${destroot}${prefix}/share/arb/lib
                         file copy ${worksrcpath}/GDEHELP ${destroot}${prefix}/share/arb/GDEHELP
@@ -97,33 +103,30 @@
                         file copy ${worksrcpath}/PERL_SCRIPTS ${destroot}${prefix}/share/arb/PERL_SCRIPTS
                         file copy ${worksrcpath}/SH ${destroot}${prefix}/share/arb/SH
                         file copy ${worksrcpath}/demo.arb ${destroot}${prefix}/share/arb
-}
-
-post-destroot           {
                         system "chmod a+w ${destroot}${prefix}/share/arb/lib/arb_tcp.dat"
                         system "chmod a+w ${destroot}${prefix}/share/arb/lib/pts"
                         system "chmod a+w ${destroot}${prefix}/share/arb/lib/macros"
-                        system "ln -s ${prefix}/bin/arb_pt_server ${destroot}${prefix}/share/arb/bin/arb_pt_server"
-                        system "ln -s ${prefix}/bin/arb_name_server ${destroot}${prefix}/share/arb/bin/arb_name_server"
+                        ln -s ${prefix}/bin/arb_pt_server ${destroot}${prefix}/share/arb/bin/arb_pt_server
+                        ln -s ${prefix}/bin/arb_name_server ${destroot}${prefix}/share/arb/bin/arb_name_server
+                        system "rm -rf `find ${destroot}${prefix}/share/arb -type d -name .svn`"
 }
-                        
-post-activate           {
-                        system "rm -rf `find ${prefix}/share/arb -type d -name .svn`"
 
-ui_msg "
+universal_variant       no
+
+notes "
 ****************************************************************
 Before running ARB you must set ARBHOME and add ARB to your PATH
 ****************************************************************
 
 You have two options (A is easier, B is more difficult):
 
-A) Open a new terminal window and type arb_macsetup to set up your environment automatically
+A) Easy - open a new terminal window and type arb_macsetup to set the necessary environment variables automatically.  This script also enables keyboard shortcuts used in the sequence editor.
 
 or
 	
-B) Follow the steps below:
+B) More difficult - follow the steps below:
 
-1a)
+1)
 bash users add the following lines to your ~/.profile or to your ~/.bashrc
 
       ARBHOME=${prefix}/share/arb;export ARBHOME
@@ -132,18 +135,31 @@
 
       enter the following command:
       . ~/.profile
-1b)
+2)
 tcsh users add the following lines to your ~/.cshrc
       setenv ARBHOME ${prefix}/share/arb
       setenv PATH ${prefix}/share/arb\:\$PATH
 
       enter the following command:
       source ~/.cshrc
-2)
+3)
+create a text file in your home folder called .xmodmap that contains the text below:
+
+clear Mod1
+clear Mod2
+keycode 63 = Mode_switch
+keycode 66 = Meta_L
+keycode 69 = Meta_R
+add Mod1 = Meta_L Meta_R
+add Mod2 = Mode_switch
+
+C)
+to set up ARB for another user on this computer log into their account and type ${prefix}/bin/arb_macsetup
+
+D)
 type arb to start ARB
 
 A demo data base is located at ${prefix}/share/arb.demo.arb
 
 Please cite: Wolfgang Ludwig, et al. (2004) ARB: a software environment for sequence data. Nucleic Acids Research. 32:1363-1371
 "
-}
\ No newline at end of file